declare class PtyManager {
    private readonly DOWNLOAD_URL;
    getBinaryName(): string;
    private getLibDirCandidates;
    getPtyPath(): Promise<string>;
    isInstalled(): Promise<boolean>;
    private downloadFromUrl;
    download(): Promise<void>;
    ensureInstalled(): Promise<void>;
}
export declare const ptyManager: PtyManager;
export { PtyManager };
